:root {
    --primary-text-color: #ffffff;
    --secundary-text-color: #222c36;
    --background-color1: #010d14;
    --background-color2: #2475aa;
    --background-color3: #ac3f3f;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    color: var(--primary-text-color);
    font-family: Lato;
    font-weight: normal;
}

body {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--background-color1);
    height: 100vh;
}

/* Corpo da Calculadora */
#calculator-body {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 100%;
    max-width: 380px;
    height: auto;
    min-height: 400px;
    border-radius: 15px;
    padding: 1rem 0;
    background-color: var(--secundary-text-color);
    box-shadow: 2px 2px 10px 1px rgba(127, 146, 252, 0.877);
}

h1 {
    font-size: 1.7rem;
    text-align: center;
    margin-bottom: 2.5rem;
    font-weight: 450;
}

#calculator-commander {
    width: 100%;
    max-width: 300px;
    padding: 1.2rem 0;
}

.input-box {
    display: flex;
    flex-direction: column;
    font-size: .8rem;
    margin-bottom: 1.5rem;
}

.input-box input {
    padding: 1.3rem 1rem;
    font-size: 1.2rem;
    font-weight: bold;
    color: var(--background-color2);
    background-color: var(--secundary-text-color);
    border: 0;
    border-bottom: 1px solid var(--primary-text-color);
    outline: 0;
}

#buttons-box {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: .5rem;
}

#buttons-box input {
    width: 100%;
    font-size: 1rem;
    border: 0;
    border-radius: 5px;
    padding: .8rem 1.5rem;
}

#buttons-box #btn-calculator {
    background-color: var(--background-color2);
}

#buttons-box #btn-reset {
    background-color: var(--background-color3);
}

/* Resultado */
#calculator-result {
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
    font-style: italic;
}

#result-h3 {
    margin-bottom: .5rem;
    font-size: 1.2rem;
}

#result-imc {
    font-size: 1.5rem;
    font-weight: 400;
}

#span-result-imc {
    font-weight:bold;
}

.very-high {
    color: rgb(196, 19, 19);
}

.high {
    color: rgb(196, 84, 19);
}

.average {
    color: rgb(196, 178, 19);
}

.good {
    color: rgb(19, 196, 93);
}

@media (max-width: 480px) {
    #calculator-body {
        width: calc(100% - 12px);
        box-shadow: none;
    }

    #calculator-commander {
        max-width: 275px;
        padding: 1.2rem 0;
    }
}